| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csApplicationRunner< T > Class Template Reference
[Application Framework]

Helper template to run a csApplicationFramework-derived application class. More...

`#include <cstool/csapplicationframework.h>`

List of all members.

## Static Public Member Functions
static int | Run (int argc, char *argv[])
| Run the application.

## Detailed Description

### template<class T>
class csApplicationRunner< T >

Helper template to run a csApplicationFramework-derived application class.

Definition at line 430 of file csapplicationframework.h.

## Member Function Documentation

template<class T>

static int csApplicationRunner< T >::Run | ( | int | argc,
|  | char * | argv[] |
| ) |  |  | `[inline, static]`

Run the application.

Definition at line 434 of file csapplicationframework.h.

The documentation for this class was generated from the following file:

- cstool/csapplicationframework.h